@charset "UTF-8";

/*
■ TOPページ

■ アニメーション

■ JSライブラリ
*/



/* ■ TOPページ ==================================================================================== */

/*
KV
導入
採用情報
アニメーション
*/


/* KV --------------------------------------------------- */

#HbsGroup_ .HbsGroup_Top_KV {
position: relative;
}

#HbsGroup_ .HbsGroup_Top_KV_Txt {
position: absolute;
left: 50%;
top: 50%;
transform: translate(-50%, -50%);
width: 100%;
text-align: center;
}

#HbsGroup_ .HbsGroup_Top_KV_Mds_En_1,
#HbsGroup_ .HbsGroup_Top_KV_Mds_En_2 {
line-height: 1;
color: var(--color1);
}

#HbsGroup_ .HbsGroup_Top_KV_Mds_En_1 {
font-weight: 500;
}

#HbsGroup_ .HbsGroup_Top_KV_Mds_En_2 {
font-weight: 400;
}

#HbsGroup_ .HbsGroup_Top_KV_Mds {
line-height: 1;
font-weight: 700;
letter-spacing: 0.1em;
}

@media only screen and (max-width: 767px) {

	#HbsGroup_ .HbsGroup_Top_KV_Mds_En_1 {
	font-size: min(14.7vw, 55px);
	}

	#HbsGroup_ .HbsGroup_Top_KV_Mds_En_2 {
	margin-top: 2%;
	font-size: min(6.67vw, 25px);
	}

	#HbsGroup_ .HbsGroup_Top_KV_Mds {
	margin-top: 6%;
	font-size: min(4.27vw, 16px);
	}

}

@media print, screen and (min-width: 768px) {

	#HbsGroup_ .HbsGroup_Top_KV_Mds_En_1 {
	font-size: min(5.71vw, 80px);
	}

	#HbsGroup_ .HbsGroup_Top_KV_Mds_En_2 {
	margin-top: 0.8%;
	font-size: min(3.57vw, 50px);
	}

	#HbsGroup_ .HbsGroup_Top_KV_Mds {
	margin-top: 2%;
	font-size: min(1.43vw, 20px);
	}

}


/* 導入 --------------------------------------------------- */

#HbsGroup_ .HbsGroup_Top_Intro_Wrap {
background: var(--bg1);
}

#HbsGroup_ .HbsGroup_Top_Intro_Lead {
font-weight: 500;
letter-spacing: 0.1em;
}

@media only screen and (max-width: 767px) {

	#HbsGroup_ .HbsGroup_Top_Intro {
	padding: 40px 35px 45px;
	}

	#HbsGroup_ .HbsGroup_Top_Intro_Lead {
	font-size: 13px;
	line-height: 2.2;
	}

}

@media print, screen and (min-width: 768px) {

	#HbsGroup_ .HbsGroup_Top_Intro {
	padding: 80px 24% 100px;
	}

	#HbsGroup_ .HbsGroup_Top_Intro_Lead {
	font-size: 15px;
	line-height: 2.4;
	}

}


/* 採用情報 --------------------------------------------------- */

#HbsGroup_ .HbsGroup_Top_Detail_Mds {
font-weight: 700;
letter-spacing: 0.1em;
text-align: center;
color: var(--color1);
}

#HbsGroup_ .HbsGroup_Top_Detail_Mds_En {
font-weight: 300;
text-align: center;
color: var(--color1);
}

@media only screen and (max-width: 767px) {

	#HbsGroup_ .HbsGroup_Top_Detail_Wrap {
	margin-top: 60px;
	}

	#HbsGroup_ .HbsGroup_Top_Detail_Mds {
	font-size: 20px;
	}
	
	#HbsGroup_ .HbsGroup_Top_Detail_Mds_En {
	margin-top: 15px;
	font-size: 13px;
	}

	#HbsGroup_ .HbsGroup_Top_Detail_List {
	margin-top: 20px;
	}

	#HbsGroup_ .HbsGroup_Top_Detail_Btn {
	margin-top: 20px;
	}

}

@media print, screen and (min-width: 768px) {

	#HbsGroup_ .HbsGroup_Top_Detail_Wrap {
	margin-top: 120px;
	}

	#HbsGroup_ .HbsGroup_Top_Detail {
	padding:  0 10%;
	}

	#HbsGroup_ .HbsGroup_Top_Detail_Mds {
	font-size: 28px;
	}
	
	#HbsGroup_ .HbsGroup_Top_Detail_Mds_En {
	margin-top: 15px;
	font-size: 18px;
	}

	#HbsGroup_ .HbsGroup_Top_Detail_List {
	margin-top: 40px;
	}

	#HbsGroup_ .HbsGroup_Top_Detail_Btn {
	margin-top: 50px;
	}

	#HbsGroup_ .HbsGroup_Top_Detail_Btn a.Btn_M {
	min-width: 320px;
	}

}


/* アニメーション --------------------------------------------------- */

/* KV */
#HbsGroup_ .HbsGroup_Top_KV {
opacity: 0;
transition: all 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}

#HbsGroup_ .HbsGroup_Top_KV_Txt {
opacity: 0;
transition: all 1.5s cubic-bezier(0.4, 0, 0.2, 1);
}

/* 導入 */
#HbsGroup_ .HbsGroup_Top_Intro {
opacity: 0;
transition: all 1s cubic-bezier(0.4, 0, 0.2, 1);
}

/* 採用情報 */
#HbsGroup_ .HbsGroup_Top_Detail_Wrap {
opacity: 0;
transform: translate(0, 20px);
transform-origin: top;
transition: all 1.5s cubic-bezier(0.4, 0, 0.2, 1);
}



/* ■ アニメーション ==================================================================================== */

/*
フェード イン1
フェード アップ1
スライド 左→右
スライド 右→左
*/


/* フェード イン1 --------------------------------------------------- */

#HbsGroup_ .Effect_Target_Fade_1 {
opacity: 0;
transition: all 1.5s cubic-bezier(0.4, 0, 0.2, 1);
}

#HbsGroup_ .Effect_Fade_1 {
opacity: 1;
}


/* フェード アップ1 --------------------------------------------------- */

#HbsGroup_ .Effect_Target_FadeUp_1 {
opacity: 0;
transform: translate(0, 20px);
transform-origin: top;
transition: all 1.5s cubic-bezier(0.4, 0, 0.2, 1);
}

#HbsGroup_ .Effect_FadeUp_1 {
opacity: 1;
transform: translate(0, 0) scale(1, 1);
transform-origin: top;
}


/* スライド 左→右 --------------------------------------------------- */

#HbsGroup_ .Effect_Target_Slide_LR {
opacity: 0;
}

#HbsGroup_ .Effect_Slide_LR {
position: relative;
overflow: hidden;
animation: Effect_Opacity 1.5s cubic-bezier(0.4, 0, 0.2, 1) forwards;
}

#HbsGroup_ .Effect_Slide_LR::before {
position: absolute;
inset: 0;
z-index: 1;
pointer-events: none;
background-color: #fff;
content: "";
animation: Effect_Slide_LR 1.5s cubic-bezier(0.4, 0, 0.2, 1) forwards;
}

@keyframes Effect_Opacity {
	100% {
		opacity: 1;
	}
}

@keyframes Effect_Slide_LR {
	100% {
		transform: translateX(100%);
	}
}


/* スライド 右→左 --------------------------------------------------- */

.Effect_Target_Slide_RL {
opacity: 0;
}

.Effect_Slide_RL {
position: relative;
overflow: hidden;
animation: Effect_Opacity 1.5s cubic-bezier(0.4, 0, 0.2, 1) forwards;
}

.Effect_Slide_RL::before {
position: absolute;
inset: 0;
z-index: 1;
pointer-events: none;
background-color: #fff;
content: "";
animation: Effect_Slide_RL 2s cubic-bezier(0.4, 0, 0.2, 1) forwards;

}

@keyframes Effect_Slide_RL {
	100% {
		transform: translateX(-100%);
	}
}



/* ■ JSライブラリ ==================================================================================== */